/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2010, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.ws.jaxws.jbws2985.generated;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.jboss.test.ws.jaxws.jbws2985.generated package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _AddNumbersFault7_QNAME = new QName("http://foobar.org/", "addNumbersFault7");
    private final static QName _TooBigNumbersException_QNAME = new QName("http://foobar.org/", "TooBigNumbersException");
    private final static QName _AddNumbersFault5_QNAME = new QName("http://foobar.org/", "addNumbersFault5");
    private final static QName _AddNumbersFault6_QNAME = new QName("http://foobar.org/", "addNumbersFault6");
    private final static QName _AddNumbersNoActionResponse_QNAME = new QName("http://foobar.org/", "addNumbersNoActionResponse");
    private final static QName _AddNumbersFault3_QNAME = new QName("http://foobar.org/", "addNumbersFault3");
    private final static QName _AddNumbersFault4_QNAME = new QName("http://foobar.org/", "addNumbersFault4");
    private final static QName _AddNumbersFault1_QNAME = new QName("http://foobar.org/", "addNumbersFault1");
    private final static QName _AddNumbersFault4Response_QNAME = new QName("http://foobar.org/", "addNumbersFault4Response");
    private final static QName _AddNumbersFault2_QNAME = new QName("http://foobar.org/", "addNumbersFault2");
    private final static QName _AddNumbers2_QNAME = new QName("http://foobar.org/", "addNumbers2");
    private final static QName _AddNumbersException_QNAME = new QName("http://foobar.org/", "AddNumbersException");
    private final static QName _AddNumbers4_QNAME = new QName("http://foobar.org/", "addNumbers4");
    private final static QName _AddNumbers3_QNAME = new QName("http://foobar.org/", "addNumbers3");
    private final static QName _AddNumbersFault1Response_QNAME = new QName("http://foobar.org/", "addNumbersFault1Response");
    private final static QName _AddNumbersFault5Response_QNAME = new QName("http://foobar.org/", "addNumbersFault5Response");
    private final static QName _AddNumbers_QNAME = new QName("http://foobar.org/", "addNumbers");
    private final static QName _AddNumbers2Response_QNAME = new QName("http://foobar.org/", "addNumbers2Response");
    private final static QName _AddNumbersFault6Response_QNAME = new QName("http://foobar.org/", "addNumbersFault6Response");
    private final static QName _AddNumbersResponse_QNAME = new QName("http://foobar.org/", "addNumbersResponse");
    private final static QName _AddNumbersEmptyActionResponse_QNAME = new QName("http://foobar.org/", "addNumbersEmptyActionResponse");
    private final static QName _AddNumbers4Response_QNAME = new QName("http://foobar.org/", "addNumbers4Response");
    private final static QName _AddNumbersNoAction_QNAME = new QName("http://foobar.org/", "addNumbersNoAction");
    private final static QName _AddNumbersFault7Response_QNAME = new QName("http://foobar.org/", "addNumbersFault7Response");
    private final static QName _AddNumbersEmptyAction_QNAME = new QName("http://foobar.org/", "addNumbersEmptyAction");
    private final static QName _AddNumbers3Response_QNAME = new QName("http://foobar.org/", "addNumbers3Response");
    private final static QName _AddNumbersFault3Response_QNAME = new QName("http://foobar.org/", "addNumbersFault3Response");
    private final static QName _AddNumbersFault2Response_QNAME = new QName("http://foobar.org/", "addNumbersFault2Response");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.jboss.test.ws.jaxws.jbws2985.generated
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link AddNumbersResponse }
     * 
     */
    public AddNumbersResponse createAddNumbersResponse() {
        return new AddNumbersResponse();
    }

    /**
     * Create an instance of {@link AddNumbersFault3 }
     * 
     */
    public AddNumbersFault3 createAddNumbersFault3() {
        return new AddNumbersFault3();
    }

    /**
     * Create an instance of {@link AddNumbersNoAction }
     * 
     */
    public AddNumbersNoAction createAddNumbersNoAction() {
        return new AddNumbersNoAction();
    }

    /**
     * Create an instance of {@link AddNumbersFault2 }
     * 
     */
    public AddNumbersFault2 createAddNumbersFault2() {
        return new AddNumbersFault2();
    }

    /**
     * Create an instance of {@link AddNumbersNoActionResponse }
     * 
     */
    public AddNumbersNoActionResponse createAddNumbersNoActionResponse() {
        return new AddNumbersNoActionResponse();
    }

    /**
     * Create an instance of {@link AddNumbersEmptyAction }
     * 
     */
    public AddNumbersEmptyAction createAddNumbersEmptyAction() {
        return new AddNumbersEmptyAction();
    }

    /**
     * Create an instance of {@link AddNumbers2 }
     * 
     */
    public AddNumbers2 createAddNumbers2() {
        return new AddNumbers2();
    }

    /**
     * Create an instance of {@link AddNumbersFault1Response }
     * 
     */
    public AddNumbersFault1Response createAddNumbersFault1Response() {
        return new AddNumbersFault1Response();
    }

    /**
     * Create an instance of {@link AddNumbersFault7 }
     * 
     */
    public AddNumbersFault7 createAddNumbersFault7() {
        return new AddNumbersFault7();
    }

    /**
     * Create an instance of {@link AddNumbersFault6Response }
     * 
     */
    public AddNumbersFault6Response createAddNumbersFault6Response() {
        return new AddNumbersFault6Response();
    }

    /**
     * Create an instance of {@link TooBigNumbersException }
     * 
     */
    public TooBigNumbersException createTooBigNumbersException() {
        return new TooBigNumbersException();
    }

    /**
     * Create an instance of {@link AddNumbersFault5Response }
     * 
     */
    public AddNumbersFault5Response createAddNumbersFault5Response() {
        return new AddNumbersFault5Response();
    }

    /**
     * Create an instance of {@link AddNumbersFault7Response }
     * 
     */
    public AddNumbersFault7Response createAddNumbersFault7Response() {
        return new AddNumbersFault7Response();
    }

    /**
     * Create an instance of {@link AddNumbers3 }
     * 
     */
    public AddNumbers3 createAddNumbers3() {
        return new AddNumbers3();
    }

    /**
     * Create an instance of {@link AddNumbers3Response }
     * 
     */
    public AddNumbers3Response createAddNumbers3Response() {
        return new AddNumbers3Response();
    }

    /**
     * Create an instance of {@link AddNumbersFault1 }
     * 
     */
    public AddNumbersFault1 createAddNumbersFault1() {
        return new AddNumbersFault1();
    }

    /**
     * Create an instance of {@link AddNumbersFault3Response }
     * 
     */
    public AddNumbersFault3Response createAddNumbersFault3Response() {
        return new AddNumbersFault3Response();
    }

    /**
     * Create an instance of {@link AddNumbersException }
     * 
     */
    public AddNumbersException createAddNumbersException() {
        return new AddNumbersException();
    }

    /**
     * Create an instance of {@link AddNumbers_Type }
     * 
     */
    public AddNumbers_Type createAddNumbers_Type() {
        return new AddNumbers_Type();
    }

    /**
     * Create an instance of {@link AddNumbersFault5 }
     * 
     */
    public AddNumbersFault5 createAddNumbersFault5() {
        return new AddNumbersFault5();
    }

    /**
     * Create an instance of {@link AddNumbers4Response }
     * 
     */
    public AddNumbers4Response createAddNumbers4Response() {
        return new AddNumbers4Response();
    }

    /**
     * Create an instance of {@link AddNumbersFault2Response }
     * 
     */
    public AddNumbersFault2Response createAddNumbersFault2Response() {
        return new AddNumbersFault2Response();
    }

    /**
     * Create an instance of {@link AddNumbers4 }
     * 
     */
    public AddNumbers4 createAddNumbers4() {
        return new AddNumbers4();
    }

    /**
     * Create an instance of {@link AddNumbersFault4 }
     * 
     */
    public AddNumbersFault4 createAddNumbersFault4() {
        return new AddNumbersFault4();
    }

    /**
     * Create an instance of {@link AddNumbersFault6 }
     * 
     */
    public AddNumbersFault6 createAddNumbersFault6() {
        return new AddNumbersFault6();
    }

    /**
     * Create an instance of {@link AddNumbers2Response }
     * 
     */
    public AddNumbers2Response createAddNumbers2Response() {
        return new AddNumbers2Response();
    }

    /**
     * Create an instance of {@link AddNumbersFault4Response }
     * 
     */
    public AddNumbersFault4Response createAddNumbersFault4Response() {
        return new AddNumbersFault4Response();
    }

    /**
     * Create an instance of {@link AddNumbersEmptyActionResponse }
     * 
     */
    public AddNumbersEmptyActionResponse createAddNumbersEmptyActionResponse() {
        return new AddNumbersEmptyActionResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault7 }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersFault7")
    public JAXBElement<AddNumbersFault7> createAddNumbersFault7(AddNumbersFault7 value) {
        return new JAXBElement<AddNumbersFault7>(_AddNumbersFault7_QNAME, AddNumbersFault7 .class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TooBigNumbersException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "TooBigNumbersException")
    public JAXBElement<TooBigNumbersException> createTooBigNumbersException(TooBigNumbersException value) {
        return new JAXBElement<TooBigNumbersException>(_TooBigNumbersException_QNAME, TooBigNumbersException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault5 }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersFault5")
    public JAXBElement<AddNumbersFault5> createAddNumbersFault5(AddNumbersFault5 value) {
        return new JAXBElement<AddNumbersFault5>(_AddNumbersFault5_QNAME, AddNumbersFault5 .class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault6 }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersFault6")
    public JAXBElement<AddNumbersFault6> createAddNumbersFault6(AddNumbersFault6 value) {
        return new JAXBElement<AddNumbersFault6>(_AddNumbersFault6_QNAME, AddNumbersFault6 .class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersNoActionResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersNoActionResponse")
    public JAXBElement<AddNumbersNoActionResponse> createAddNumbersNoActionResponse(AddNumbersNoActionResponse value) {
        return new JAXBElement<AddNumbersNoActionResponse>(_AddNumbersNoActionResponse_QNAME, AddNumbersNoActionResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault3 }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersFault3")
    public JAXBElement<AddNumbersFault3> createAddNumbersFault3(AddNumbersFault3 value) {
        return new JAXBElement<AddNumbersFault3>(_AddNumbersFault3_QNAME, AddNumbersFault3 .class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault4 }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersFault4")
    public JAXBElement<AddNumbersFault4> createAddNumbersFault4(AddNumbersFault4 value) {
        return new JAXBElement<AddNumbersFault4>(_AddNumbersFault4_QNAME, AddNumbersFault4 .class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault1 }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersFault1")
    public JAXBElement<AddNumbersFault1> createAddNumbersFault1(AddNumbersFault1 value) {
        return new JAXBElement<AddNumbersFault1>(_AddNumbersFault1_QNAME, AddNumbersFault1 .class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault4Response }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersFault4Response")
    public JAXBElement<AddNumbersFault4Response> createAddNumbersFault4Response(AddNumbersFault4Response value) {
        return new JAXBElement<AddNumbersFault4Response>(_AddNumbersFault4Response_QNAME, AddNumbersFault4Response.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault2 }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersFault2")
    public JAXBElement<AddNumbersFault2> createAddNumbersFault2(AddNumbersFault2 value) {
        return new JAXBElement<AddNumbersFault2>(_AddNumbersFault2_QNAME, AddNumbersFault2 .class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbers2 }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbers2")
    public JAXBElement<AddNumbers2> createAddNumbers2(AddNumbers2 value) {
        return new JAXBElement<AddNumbers2>(_AddNumbers2_QNAME, AddNumbers2 .class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "AddNumbersException")
    public JAXBElement<AddNumbersException> createAddNumbersException(AddNumbersException value) {
        return new JAXBElement<AddNumbersException>(_AddNumbersException_QNAME, AddNumbersException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbers4 }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbers4")
    public JAXBElement<AddNumbers4> createAddNumbers4(AddNumbers4 value) {
        return new JAXBElement<AddNumbers4>(_AddNumbers4_QNAME, AddNumbers4 .class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbers3 }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbers3")
    public JAXBElement<AddNumbers3> createAddNumbers3(AddNumbers3 value) {
        return new JAXBElement<AddNumbers3>(_AddNumbers3_QNAME, AddNumbers3 .class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault1Response }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersFault1Response")
    public JAXBElement<AddNumbersFault1Response> createAddNumbersFault1Response(AddNumbersFault1Response value) {
        return new JAXBElement<AddNumbersFault1Response>(_AddNumbersFault1Response_QNAME, AddNumbersFault1Response.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault5Response }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersFault5Response")
    public JAXBElement<AddNumbersFault5Response> createAddNumbersFault5Response(AddNumbersFault5Response value) {
        return new JAXBElement<AddNumbersFault5Response>(_AddNumbersFault5Response_QNAME, AddNumbersFault5Response.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbers_Type }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbers")
    public JAXBElement<AddNumbers_Type> createAddNumbers(AddNumbers_Type value) {
        return new JAXBElement<AddNumbers_Type>(_AddNumbers_QNAME, AddNumbers_Type.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbers2Response }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbers2Response")
    public JAXBElement<AddNumbers2Response> createAddNumbers2Response(AddNumbers2Response value) {
        return new JAXBElement<AddNumbers2Response>(_AddNumbers2Response_QNAME, AddNumbers2Response.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault6Response }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersFault6Response")
    public JAXBElement<AddNumbersFault6Response> createAddNumbersFault6Response(AddNumbersFault6Response value) {
        return new JAXBElement<AddNumbersFault6Response>(_AddNumbersFault6Response_QNAME, AddNumbersFault6Response.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersResponse")
    public JAXBElement<AddNumbersResponse> createAddNumbersResponse(AddNumbersResponse value) {
        return new JAXBElement<AddNumbersResponse>(_AddNumbersResponse_QNAME, AddNumbersResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersEmptyActionResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersEmptyActionResponse")
    public JAXBElement<AddNumbersEmptyActionResponse> createAddNumbersEmptyActionResponse(AddNumbersEmptyActionResponse value) {
        return new JAXBElement<AddNumbersEmptyActionResponse>(_AddNumbersEmptyActionResponse_QNAME, AddNumbersEmptyActionResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbers4Response }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbers4Response")
    public JAXBElement<AddNumbers4Response> createAddNumbers4Response(AddNumbers4Response value) {
        return new JAXBElement<AddNumbers4Response>(_AddNumbers4Response_QNAME, AddNumbers4Response.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersNoAction }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersNoAction")
    public JAXBElement<AddNumbersNoAction> createAddNumbersNoAction(AddNumbersNoAction value) {
        return new JAXBElement<AddNumbersNoAction>(_AddNumbersNoAction_QNAME, AddNumbersNoAction.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault7Response }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersFault7Response")
    public JAXBElement<AddNumbersFault7Response> createAddNumbersFault7Response(AddNumbersFault7Response value) {
        return new JAXBElement<AddNumbersFault7Response>(_AddNumbersFault7Response_QNAME, AddNumbersFault7Response.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersEmptyAction }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersEmptyAction")
    public JAXBElement<AddNumbersEmptyAction> createAddNumbersEmptyAction(AddNumbersEmptyAction value) {
        return new JAXBElement<AddNumbersEmptyAction>(_AddNumbersEmptyAction_QNAME, AddNumbersEmptyAction.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbers3Response }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbers3Response")
    public JAXBElement<AddNumbers3Response> createAddNumbers3Response(AddNumbers3Response value) {
        return new JAXBElement<AddNumbers3Response>(_AddNumbers3Response_QNAME, AddNumbers3Response.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault3Response }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersFault3Response")
    public JAXBElement<AddNumbersFault3Response> createAddNumbersFault3Response(AddNumbersFault3Response value) {
        return new JAXBElement<AddNumbersFault3Response>(_AddNumbersFault3Response_QNAME, AddNumbersFault3Response.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault2Response }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "addNumbersFault2Response")
    public JAXBElement<AddNumbersFault2Response> createAddNumbersFault2Response(AddNumbersFault2Response value) {
        return new JAXBElement<AddNumbersFault2Response>(_AddNumbersFault2Response_QNAME, AddNumbersFault2Response.class, null, value);
    }

}
